summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYixun Lan <dlan@gentoo.org>2016-07-09 10:17:29 +0800
committerYixun Lan <dlan@gentoo.org>2016-07-09 11:15:10 +0800
commit3486f1b365cf0b6ce5325ecdc06d3100009f144c (patch)
tree88f8ae09fc72d3da61e73db2b098ecb2432ebf3b /sci-libs/cln
parentdev-libs/nss: dropped SPI description on cacert flag in metadata.xml (diff)
downloadgentoo-3486f1b365cf0b6ce5325ecdc06d3100009f144c.tar.gz
gentoo-3486f1b365cf0b6ce5325ecdc06d3100009f144c.tar.bz2
gentoo-3486f1b365cf0b6ce5325ecdc06d3100009f144c.zip
sci-libs/cln: version bump
also add arm64 keyword Gentoo-Bug: 586990 Package-Manager: portage-2.3.0_rc1 Signed-off-by: Yixun Lan <dlan@gentoo.org>
Diffstat (limited to 'sci-libs/cln')
-rw-r--r--sci-libs/cln/Manifest1
-rw-r--r--sci-libs/cln/cln-1.3.4.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/sci-libs/cln/Manifest b/sci-libs/cln/Manifest
index 7577f003c70..46b49aa221b 100644
--- a/sci-libs/cln/Manifest
+++ b/sci-libs/cln/Manifest
@@ -1 +1,2 @@
DIST cln-1.3.3.tar.bz2 1300229 SHA256 57fc2ee3ecbb30d4037ff32a9a331804ea7dad8b345e70d42d9991ca659b2612 SHA512 ee829cd03a2d36215a4d4e76cc0aa6c5abe6ff967ed366d752da1dc0c47dbec56e0521e92fb35574c038305fb767991c5c7fd12ad03583080da3f923fbfecdaf WHIRLPOOL fac646fcb8622060917cbe08b232d412459e45f16c4bbe38cd6d1b7296bc259466eba28ddccb66ead435832ea45127e13b4fe0e2601a0f763487144c02e51eb0
+DIST cln-1.3.4.tar.bz2 1281348 SHA256 2d99d7c433fb60db1e28299298a98354339bdc120d31bb9a862cafc5210ab748 SHA512 2178a64b4388b3018c3847f6fb192ea51eb9c8618302986d7706accef17184e3333ddeca218d726f93f3b985598952ad58d705c9081201985611e383f788a631 WHIRLPOOL da1686fa88f7a73e20c60e3116b50dfee0ebe6e4519443df26889f82dd7b9281178c89cea7ab7fe82ed6a6b6fbf91546fc2501da7c56c2375e1f57415f103024
diff --git a/sci-libs/cln/cln-1.3.4.ebuild b/sci-libs/cln/cln-1.3.4.ebuild
new file mode 100644
index 00000000000..801baf9345c
--- /dev/null
+++ b/sci-libs/cln/cln-1.3.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools-utils flag-o-matic
+
+DESCRIPTION="Class library (C++) for numbers"
+HOMEPAGE="http://www.ginac.de/CLN/"
+SRC_URI="http://www.ginac.de/CLN/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="dev-libs/gmp:0="
+DEPEND="${RDEPEND}
+ doc? ( virtual/latex-base )"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.3.2-arm.patch )
+
+pkg_setup() {
+ use sparc && append-cppflags -DNO_ASM
+ use hppa && append-cppflags -DNO_ASM
+ use arm && append-cppflags -DNO_ASM
+}
+
+src_prepare() {
+ # avoid building examples
+ # do it in Makefile.in to avoid time consuming eautoreconf
+ sed -i \
+ -e '/^SUBDIRS.*=/s/examples doc benchmarks/doc/' \
+ Makefile.in || die
+ autotools-utils_src_prepare
+}
+
+src_compile() {
+ autotools-utils_src_compile
+ if use doc; then
+ cd "${BUILD_DIR}"
+ export VARTEXFONTS="${T}/fonts"
+ emake html pdf
+ DOCS=("${BUILD_DIR}/doc/cln.pdf")
+ HTML_DOCS=("${BUILD_DIR}/doc/")
+ fi
+}
+
+src_install () {
+ autotools-utils_src_install
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.cc
+ fi
+}